//
//  CCUserDefault.swift
//  SwiftProject
//
//  Created by soldoros on 2024/1/10.
//

import UIKit

class CCUserDefault: NSObject {


    static let sharedUserDefault = CCUserDefault()
    private override init() {
        
    }
    
    //主题色 F59264
    func titleColor() -> (UIColor) {
        return UIColor.hexStringToColor(hexString: "#8E3CDD")
    }
    
    //导航栏+状态栏背景颜色
    func navBarColor() -> (UIColor) {
        return UIColor.hexStringToColor(hexString: "#ffffff")
    }
    //标签栏背景颜色
    func tabBarColor() -> (UIColor) {
        return UIColor.hexStringToColor(hexString: "20D3B3")
    }
    //导航栏图标颜色
    func navTintColor() -> (UIColor) {
        return UIColor.hexStringToColor(hexString: "20D3B3")
    }
    //标签栏图标默认状态颜色
    func tabBarTintDefaultColor() -> (UIColor) {
        return UIColor(red: 200/255, green: 200/255, blue: 200/255, alpha: 1)
    }
    //标签栏图标选中状态颜色  8E3CDD   F59264
    func tabBarTintSelectColor() -> (UIColor) {
        return UIColor.hexStringToColor(hexString: "#8E3CDD")
    }
    //视图背景色
    func backGroundColor() -> (UIColor) {
        return UIColor(red: 245/255, green: 245/255, blue: 245/255, alpha: 1)
    }
    //线条颜色
    func lineColor() -> (UIColor) {
        return UIColor(red: 240/255, green: 240/255, blue: 240/255, alpha: 1)
    }
    
}

